## PROTEINS WORKFLOW

```mermaid
flowchart TD
	classDef parameters fill:#f96;
    p0((genome))
    p2((proteinDB\nconf))
    p100((protein\nEvidences))
    p4[LIPMUTILS_fasta2overlappingwins]
    p5[LIPMUTILS_fasta2tree]
    p0 --> p4:::parameters --> p5 --> p18
    p13[BLASTX_indexProtDB]
    p16[BLASTX_cleanProtDB]
    p2 --> p13 --> p17
    p2 --> |NotCleaned| p16:::parameters --> p17 --> p18
    p17([BlastXDBs])
    p18{Distribute}
    p20[BLASTX_alignHigh]
    p23[BLASTX_alignMedium]
    p27[BLASTX_alignLow]
    p18 --> |big Proteome| p20:::parameters --> p31
    p18 --> |medium Proteome| p23:::parameters --> p31
    p18 --> |small Proteome| p27:::parameters --> p31
    p31[EGNPCORE_changeBlastxCoordinatesBatch]
    p35[LIPMUTILS_m8ToGff3]
    p36[BLASTX_postProcessing]
    p42[EGNPCORE_PublishEvidences]
    p31 --> p35 --> p36:::parameters --> p42 --> p100
```

Parameters:

```java  
windowMaxLen           = 2000000
windowOverlapLen     = 10000

dbsize_switch_resource_high   = 500000000
dbsize_switch_resource_low    = 50000000

/* Method for the protein similarity search. Allowed values are:
    - ublast_blastx  First perform a protein database reduction with ublast from usearch.
    - diamond_blastx First perform a protein database reduction with diamond. 
 Then launch classical blastx search against the reduced db.
*/

protein_similarity_search_method = 'diamond_blastx'
blastx_param = '-outfmt 6 -evalue 0.000001 -gapopen 9 -gapextend 2 -max_target_seqs 500000 
                -max_intron_length 15000  -seg yes'
blastx_unique_filter = true
split_blastx_db      = true

// Used by targetedblastsearch program
prg_targetedblastsearch_param = '--db_length 1000000000'
prg_usearch_ublast_param      = '-evalue 1 -lopen 9 -lext 2 -accel 1'
prg_diamond_param             = '--sensitive --evalue 1 --gapopen 9 --gapextend 2 --masking 0
                                 --comp-based-stats 0 --block-size 0.4'

```
