## TRANSCRIPTS WORKFLOW

```mermaid
flowchart TD
	classDef parameters fill:#f96;
    p0((genome))
    p2((transcripts\nConf))
    p5[GMAP_index]
    p0 --> p5
    p6{Distribute}
    p7[LIPMUTILS_trimPolyX]
    p100((transcripts\nEvidences))
    p2 --> p7 --> p10 --> p6
    p7 --> p11 --> p6
    p5 --> p6
    p10[EGNPCORE_dumpEstCfg]
    p11[LIPMUTILS_splitEstDBs]
    p18[GMAP_map]
    p21[GMAP_concat]
    p24[GMAP_concatRmSpliced]
    p29[EGNPCORE_splitGff3BySeqid]
    p32[EGNPCORE_splitGff3BySeqidRmSpliced]
    p37[GMAP_postProcessing]
    p39[GMAP_reportSummary]
    p42[GMAP_updConf]
    p49[EGNPCORE_PublishEvidences]
    p6 --> p18:::parameters --> p21 --> p29 --> p37:::parameters
    p18 --> p24 --> p32 --> p37
    p10 --> p37 --> p39
    p37 --> p42
    p37 --> p49 --> p100
```

Parameters:

```java
est_num_per_slice            = 50000
gmap_smallexons_minlen       = 25
gmap_param                   = "-n0 -B 5 -L 100000 --min-intronlength=35 -K 25000 
                                --trim-end-exons=${params.gmap_smallexons_minlen}"
gmap_MIN_LEN_SHORT_UNSPLICED = 10000000
gmap_intron_filter           = true
gmap_unique_filter           = true
//FILTER WEIRD ALN 
gmap_filter_min_exon_len     = 10
gmap_filter_max_short_exon_number = 1
allestnb                     = 1000
/*  0: same weight to all alignments; 
    1: unspliced alignments ignored; 
    2: more weight is given to the spliced alignments */
allest_remove_unspliced      = 2
```
