nextflow.enable.dsl=2

process BARRNAP_barrnap {
    tag("${sequence.baseName}")
    
    input:
    path(sequence)
    val(kingdom)

    output:
    tuple val(sequence.baseName), path("${sequence.baseName}.${source}.gff3")  optional true
    
    script:
    source = 'barrnap'
    """
    get_barrnap.pl --cpu ${task.cpus} --kingdom ${kingdom} --sequence \$PWD/${sequence} --outfile \$PWD/${sequence.baseName}.${source}.gff3 --workingdir \$PWD
    [ -s ${sequence.baseName}.${source}.gff3 ] && touch ${sequence.baseName}.${source}.gff3 || echo "##gff-version 3" > ${sequence.baseName}.${source}.gff3
    """
}

process BARRNAP_softwaresInfo {
	output:
	path("barrnap.softwares_info.tsv")

	script:
	"""
	softwares_info > barrnap.softwares_info.tsv
	"""
}