nextflow.enable.dsl=2

include { BARRNAP_barrnap } from '../software/barrnap/main.nf'
include { EGNPCORE_changeGff3CoordinatesBatch;EGNPCORE_splitByStrand;EGNPCORE_justPublish }  from '../software/egnpcore/main.nf'
include { GENOMETOOLS_sortGff3 }  from '../software/genometools/main.nf'


workflow barrnap {

	take: overlappingSequenceCh
	main:
		def source = 'barrnap'
		outFiles = BARRNAP_barrnap(overlappingSequenceCh,params.kingdom)
		outFilesTuples = outFiles.map {
			t -> 
			def seqid = t.get(0).split(":").first()
			def file = t.get(1)
			tuple (seqid,source,file)
		}
		outFilesRelocateMergedTuples = EGNPCORE_changeGff3CoordinatesBatch (outFilesTuples.groupTuple(by:[0,1]))
		tmpOutFilesTuples = GENOMETOOLS_sortGff3(outFilesRelocateMergedTuples)
		outFilesTuples = EGNPCORE_splitByStrand(tmpOutFilesTuples,source)
		
		if (params.publish_workdir)
		{
			files = EGNPCORE_justPublish(outFilesTuples)
			ok = files.collect()
		}
		else
		{
			ok = outFilesTuples.collect()
		}
		
	emit: outFilesTuples
}
