nextflow.enable.dsl=2

include { INFERNAL_rfamscan } from '../software/infernal/main.nf'
include { EGNPCORE_splitByStrand;EGNPCORE_justPublish;EGNPCORE_changeGff3CoordinatesBatch }  from '../software/egnpcore/main.nf'
include { GENOMETOOLS_sortGff3 }  from '../software/genometools/main.nf'


workflow rfamscan {

	take: overlappingSequenceCh
	main:
		def source = 'rfamscan'
		outFiles = INFERNAL_rfamscan(overlappingSequenceCh,params.kingdom)
		outFilesTuples = outFiles.map {
			t -> 
			def seqid = t.get(0).split(":").first()
			def file = t.get(1)
			tuple (seqid,source, file)
		}
		outFilesRelocateMergedTuples = EGNPCORE_changeGff3CoordinatesBatch (outFilesTuples.groupTuple(by:[0,1]))
		tmpOutFilesTuples = GENOMETOOLS_sortGff3(outFilesRelocateMergedTuples)
		outFilesTuples = EGNPCORE_splitByStrand(tmpOutFilesTuples,source)

		
		if (params.publish_workdir)
		{
			files = EGNPCORE_justPublish(outFilesTuples)
			ok = files.collect()
		}
		else
		{
			ok = outFilesTuples.collect()
		}
		
	emit: outFilesTuples

}
